SDL_JoystickEventState(3)

NAME
SDL_JoystickEventState - Enable/disable joystick event polling

SYNOPSIS

#include "SDL.h"

int SDL_JoystickEventState(int state);

DESCRIPTION

This function is used to enable or disable joystick event processing. With joystick event processing disabled you will have to update joystick states with SDL_JoystickUpdate and read the joystick information manually. state is either SDL_QUERY, SDL_ENABLE or SDL_IGNORE.

    Note:

    Joystick event handling is prefered

RETURN VALUE

If state is SDL_QUERY then the current state is returned, otherwise the new processing state is returned.

SEE ALSO

SDL Joystick Functions, SDL_JoystickUpdate, SDL_JoyAxisEvent, SDL_JoyBallEvent, SDL_JoyButtonEvent, SDL_JoyHatEvent